Package ru.bitel.bgbilling.plugins.crm.common.model

# Class RegisterExecutor

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.plugins.crm.common.model.RegisterExecutor

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class RegisterExecutor extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterExecutor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Integer>`
  `getGroupList()`
  `String`
  `getParams()`
  `RegisterExecutor`
  `setGroupList(List<Integer> groupList)`
  `RegisterExecutor`
  `setId(int id)`
  Устанавливает id объекта
  `RegisterExecutor`
  `setParams(String params)`
  `RegisterExecutor`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### RegisterExecutor

    public RegisterExecutor()

- ## Method Details

  - ### getGroupList

    public List<Integer> getGroupList()

  - ### getParams

    public String getParams()

  - ### setGroupList

    public RegisterExecutor setGroupList(List<Integer> groupList)

  - ### setId

    public RegisterExecutor setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setParams

    public RegisterExecutor setParams(String params)

  - ### setTitle

    public RegisterExecutor setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`